<!DOCTYPE html>
<html lang="ru" xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta charset="utf-8" />
        <title>Internal Server Error</title>
        <style>
            body {
    font-family: 'Segoe UI', Tahoma, Arial, Helvetica, sans-serif;
    font-size: .813em;
    color: #222;
    background-color: #fff;
}

h1, h2, h3, h4, h5 {
    /*font-family: 'Segoe UI',Tahoma,Arial,Helvetica,sans-serif;*/
    font-weight: 100;
}

h1 {
    color: #44525e;
    margin: 15px 0 15px 0;
}

h2 {
    margin: 10px 5px 0 0;
}

h3 {
    color: #363636;
    margin: 5px 5px 0 0;
}

code {
    font-family: Consolas, "Courier New", courier, monospace;
}

body .titleerror {
    padding: 3px 3px 6px 3px;
    display: block;
    font-size: 1.5em;
    font-weight: 100;
}

body .location {
    margin: 3px 0 10px 30px;
}

#header {
    font-size: 18px;
    padding: 15px 0;
    border-top: 1px #ddd solid;
    border-bottom: 1px #ddd solid;
    margin-bottom: 0;
}

    #header li {
        display: inline;
        margin: 5px;
        padding: 5px;
        color: #a0a0a0;
        cursor: pointer;
    }

    #header .selected {
        background: #44c5f2;
        color: #fff;
    }

#stackpage ul {
    list-style: none;
    padding-left: 0;
    margin: 0;
    /*border-bottom: 1px #ddd solid;*/
}

#stackpage .details {
    font-size: 1.2em;
    padding: 3px;
    color: #000;
}

#stackpage .stackerror {
    padding: 5px;
    border-bottom: 1px #ddd solid;
}


#stackpage .frame {
    padding: 0;
    margin: 0 0 0 30px;
}

    #stackpage .frame h3 {
        padding: 2px;
        margin: 0;
    }

#stackpage .source {
    padding: 0 0 0 30px;
}

    #stackpage .source ol li {
        font-family: Consolas, "Courier New", courier, monospace;
        white-space: pre;
        background-color: #fbfbfb;
    }

#stackpage .frame .source .highlight li span {
    color: #FF0000;
}

#stackpage .source ol.collapsible li {
    color: #888;
}

    #stackpage .source ol.collapsible li span {
        color: #606060;
    }

.page table {
    border-collapse: separate;
    border-spacing: 0;
    margin: 0 0 20px;
}

.page th {
    vertical-align: bottom;
    padding: 10px 5px 5px 5px;
    font-weight: 400;
    color: #a0a0a0;
    text-align: left;
}

.page td {
    padding: 3px 10px;
}

.page th, .page td {
    border-right: 1px #ddd solid;
    border-bottom: 1px #ddd solid;
    border-left: 1px transparent solid;
    border-top: 1px transparent solid;
    box-sizing: border-box;
}

    .page th:last-child, .page td:last-child {
        border-right: 1px transparent solid;
    }

.page .length {
    text-align: right;
}

a {
    color: #1ba1e2;
    text-decoration: none;
}

    a:hover {
        color: #13709e;
        text-decoration: underline;
    }

.showRawException {
    cursor: pointer;
    color: #44c5f2;
    background-color: transparent;
    font-size: 1.2em;
    text-align: left;
    text-decoration: none;
    display: inline-block;
    border: 0;
    padding: 0;
}

.rawExceptionStackTrace {
    font-size: 1.2em;
}

.rawExceptionBlock {
    border-top: 1px #ddd solid;
    border-bottom: 1px #ddd solid;
}

.showRawExceptionContainer {
    margin-top: 10px;
    margin-bottom: 10px;
}

.expandCollapseButton {
    cursor: pointer;
    float: left;
    height: 16px;
    width: 16px;
    font-size: 10px;
    position: absolute;
    left: 10px;
    background-color: #eee;
    padding: 0;
    border: 0;
    margin: 0;
}

        </style>
    </head>
    <body>
        <h1>An unhandled exception occurred while processing the request.</h1>
            <div class="titleerror">HttpRequestException: User does not exist</div>
                <p class="location">CATIAtoPDM.Services.PDMService.PostLogin(LoginData login) in <code title="D:\Other\Study\_08_sem\Diploma\diplomaproject\src\CSharp\DiplomaPDM\Services\CATIAtoPDM\CATIAtoPDM\Services\PDMService.cs">PDMService.cs</code>, line 246</p>
        <ul id="header">
            <li id="stack" tabindex="1" class="selected">
                Stack
            </li>
            <li id="query" tabindex="2">
                Query
            </li>
            <li id="cookies" tabindex="3">
                Cookies
            </li>
            <li id="headers" tabindex="4">
                Headers
            </li>
        </ul>

        <div id="stackpage" class="page">
            <ul>
                                    <li>
                        <h2 class="stackerror">HttpRequestException: User does not exist</h2>
                        <ul>
                            <li class="frame" id="frame1">
                                    <h3>CATIAtoPDM.Services.PDMService.PostLogin(LoginData login) in <code title="D:\Other\Study\_08_sem\Diploma\diplomaproject\src\CSharp\DiplomaPDM\Services\CATIAtoPDM\CATIAtoPDM\Services\PDMService.cs">PDMService.cs</code></h3>

                                    <button class="expandCollapseButton" data-frameId="frame1">+</button>
                                    <div class="source">
                                            <ol start="240" class="collapsible">
                                                    <li><span>        return JsonConvert.DeserializeObject&lt;UserData&gt;(await result.Content.ReadAsStringAsync());</span></li>
                                                    <li><span>      }</span></li>
                                                    <li><span></span></li>
                                                    <li><span>      switch (result.StatusCode)</span></li>
                                                    <li><span>      {</span></li>
                                                    <li><span>        default:</span></li>
                                            </ol>

                                        <ol start="246" class="highlight">
                                                <li><span>          throw new HttpRequestException(await result.Content.ReadAsStringAsync());</span></li>
                                        </ol>

                                            <ol start='247' class="collapsible">
                                                    <li><span>      }</span></li>
                                                    <li><span>    }</span></li>
                                                    <li><span></span></li>
                                                    <li><span></span></li>
                                                    <li><span>    private static byte[] GetBytesFromFile(IFormFile file)</span></li>
                                                    <li><span>    {</span></li>
                                            </ol>
                                    </div>
                            </li>
                            <li class="frame" id="frame2">
                                    <h3>CATIAtoPDM.Controllers.CADController.Login(LoginData loginData) in <code title="D:\Other\Study\_08_sem\Diploma\diplomaproject\src\CSharp\DiplomaPDM\Services\CATIAtoPDM\CATIAtoPDM\Controllers\CADController.cs">CADController.cs</code></h3>

                                    <button class="expandCollapseButton" data-frameId="frame2">+</button>
                                    <div class="source">
                                            <ol start="115" class="collapsible">
                                                    <li><span>    [Route(&quot;login&quot;)]</span></li>
                                                    <li><span>    [ProducesResponseType((int)HttpStatusCode.BadRequest)]</span></li>
                                                    <li><span>    [ProducesResponseType((int)HttpStatusCode.NotFound)]</span></li>
                                                    <li><span>    [ProducesResponseType((int)HttpStatusCode.OK)]</span></li>
                                                    <li><span>    public async Task&lt;ActionResult&lt;UserData&gt;&gt; Login([FromForm] LoginData loginData)</span></li>
                                                    <li><span>    {</span></li>
                                            </ol>

                                        <ol start="121" class="highlight">
                                                <li><span>      var data = await m_PDMService.PostLogin(loginData);</span></li>
                                        </ol>

                                            <ol start='122' class="collapsible">
                                                    <li><span></span></li>
                                                    <li><span>      return data;</span></li>
                                                    <li><span>    }</span></li>
                                                    <li><span>  }</span></li>
                                                    <li><span>}</span></li>
                                            </ol>
                                    </div>
                            </li>
                            <li class="frame" id="frame3">
                                    <h3>lambda_method(Closure , object )</h3>

                            </li>
                            <li class="frame" id="frame4">
                                    <h3>Microsoft.Extensions.Internal.ObjectMethodExecutorAwaitable&#x2B;Awaiter.GetResult()</h3>

                            </li>
                            <li class="frame" id="frame5">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ActionMethodExecutor&#x2B;AwaitableObjectResultExecutor.Execute(IActionResultTypeMapper mapper, ObjectMethodExecutor executor, object controller, object[] arguments)</h3>

                            </li>
                            <li class="frame" id="frame6">
                                    <h3>System.Threading.Tasks.ValueTask&lt;TResult&gt;.get_Result()</h3>

                            </li>
                            <li class="frame" id="frame7">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeActionMethodAsync()</h3>

                            </li>
                            <li class="frame" id="frame8">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeNextActionFilterAsync()</h3>

                            </li>
                            <li class="frame" id="frame9">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.Rethrow(ActionExecutedContext context)</h3>

                            </li>
                            <li class="frame" id="frame10">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.Next(ref State next, ref Scope scope, ref object state, ref bool isCompleted)</h3>

                            </li>
                            <li class="frame" id="frame11">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeInnerFilterAsync()</h3>

                            </li>
                            <li class="frame" id="frame12">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeNextResourceFilter()</h3>

                            </li>
                            <li class="frame" id="frame13">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.Rethrow(ResourceExecutedContext context)</h3>

                            </li>
                            <li class="frame" id="frame14">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.Next(ref State next, ref Scope scope, ref object state, ref bool isCompleted)</h3>

                            </li>
                            <li class="frame" id="frame15">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeFilterPipelineAsync()</h3>

                            </li>
                            <li class="frame" id="frame16">
                                    <h3>Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeAsync()</h3>

                            </li>
                            <li class="frame" id="frame17">
                                    <h3>Microsoft.AspNetCore.Routing.EndpointMiddleware.Invoke(HttpContext httpContext)</h3>

                            </li>
                            <li class="frame" id="frame18">
                                    <h3>Microsoft.AspNetCore.Routing.EndpointRoutingMiddleware.Invoke(HttpContext httpContext)</h3>

                            </li>
                            <li class="frame" id="frame19">
                                    <h3>Microsoft.AspNetCore.Diagnostics.DeveloperExceptionPageMiddleware.Invoke(HttpContext context)</h3>

                            </li>
                        </ul>
                    </li>
                    <li>
                        <br/>
                        <div class="rawExceptionBlock">
                            <div class="showRawExceptionContainer">
                                <button class="showRawException" data-exceptionDetailId="exceptionDetail1">Show raw exception details</button>
                            </div>
                            <div id="exceptionDetail1" class="rawExceptionDetails">
                                <pre class="rawExceptionStackTrace">System.Net.Http.HttpRequestException: User does not exist&#xD;&#xA;   at CATIAtoPDM.Services.PDMService.PostLogin(LoginData login) in D:\Other\Study\_08_sem\Diploma\diplomaproject\src\CSharp\DiplomaPDM\Services\CATIAtoPDM\CATIAtoPDM\Services\PDMService.cs:line 246&#xD;&#xA;   at CATIAtoPDM.Controllers.CADController.Login(LoginData loginData) in D:\Other\Study\_08_sem\Diploma\diplomaproject\src\CSharp\DiplomaPDM\Services\CATIAtoPDM\CATIAtoPDM\Controllers\CADController.cs:line 121&#xD;&#xA;   at lambda_method(Closure , Object )&#xD;&#xA;   at Microsoft.Extensions.Internal.ObjectMethodExecutorAwaitable.Awaiter.GetResult()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ActionMethodExecutor.AwaitableObjectResultExecutor.Execute(IActionResultTypeMapper mapper, ObjectMethodExecutor executor, Object controller, Object[] arguments)&#xD;&#xA;   at System.Threading.Tasks.ValueTask`1.get_Result()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeActionMethodAsync()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeNextActionFilterAsync()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.Rethrow(ActionExecutedContext context)&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.Next(State&amp; next, Scope&amp; scope, Object&amp; state, Boolean&amp; isCompleted)&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ControllerActionInvoker.InvokeInnerFilterAsync()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeNextResourceFilter()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.Rethrow(ResourceExecutedContext context)&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.Next(State&amp; next, Scope&amp; scope, Object&amp; state, Boolean&amp; isCompleted)&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeFilterPipelineAsync()&#xD;&#xA;   at Microsoft.AspNetCore.Mvc.Internal.ResourceInvoker.InvokeAsync()&#xD;&#xA;   at Microsoft.AspNetCore.Routing.EndpointMiddleware.Invoke(HttpContext httpContext)&#xD;&#xA;   at Microsoft.AspNetCore.Routing.EndpointRoutingMiddleware.Invoke(HttpContext httpContext)&#xD;&#xA;   at Microsoft.AspNetCore.Diagnostics.DeveloperExceptionPageMiddleware.Invoke(HttpContext context)</pre>
                            </div>
                        </div>
                    </li>
            </ul>
        </div>

        <div id="querypage" class="page">
                <p>No QueryString data.</p>
        </div>

        <div id="cookiespage" class="page">
                <p>No cookie data.</p>
        </div>
        <div id="headerspage" class="page">
                <table>
                    <thead>
                        <tr>
                            <th>Variable</th>
                            <th>Value</th>
                        </tr>
                    </thead>
                    <tbody>
                                <tr>
                                    <td>Accept</td>
                                    <td>application/xml</td>
                                </tr>
                                <tr>
                                    <td>Accept-Encoding</td>
                                    <td>gzip, deflate</td>
                                </tr>
                                <tr>
                                    <td>Accept-Language</td>
                                    <td>ru</td>
                                </tr>
                                <tr>
                                    <td>Cache-Control</td>
                                    <td>no-cache</td>
                                </tr>
                                <tr>
                                    <td>Connection</td>
                                    <td>Keep-Alive</td>
                                </tr>
                                <tr>
                                    <td>Content-Length</td>
                                    <td>235</td>
                                </tr>
                                <tr>
                                    <td>Content-Type</td>
                                    <td>multipart/form-data; boundary=------B95019D2A9CA44B6B888BC585D1A2002</td>
                                </tr>
                                <tr>
                                    <td>Host</td>
                                    <td>localhost:44344</td>
                                </tr>
                                <tr>
                                    <td>UA-CPU</td>
                                    <td>AMD64</td>
                                </tr>
                                <tr>
                                    <td>User-Agent</td>
                                    <td>Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 10.0; Win64; x64; Trident/7.0; .NET4.0C; .NET4.0E; .NET CLR 2.0.50727; .NET CLR 3.0.30729; .NET CLR 3.5.30729)</td>
                                </tr>
                    </tbody>
                </table>
        </div>
        <script>
            //<!--
            (function (window, undefined) {
    "use strict";

    function ns(selector, element) {
        return new NodeCollection(selector, element);
    }

    function NodeCollection(selector, element) {
        this.items = [];
        element = element || window.document;

        var nodeList;

        if (typeof (selector) === "string") {
            nodeList = element.querySelectorAll(selector);
            for (var i = 0, l = nodeList.length; i < l; i++) {
                this.items.push(nodeList.item(i));
            }
        }
    }

    NodeCollection.prototype = {
        each: function (callback) {
            for (var i = 0, l = this.items.length; i < l; i++) {
                callback(this.items[i], i);
            }
            return this;
        },

        children: function (selector) {
            var children = [];

            this.each(function (el) {
                children = children.concat(ns(selector, el).items);
            });

            return ns(children);
        },

        hide: function () {
            this.each(function (el) {
                el.style.display = "none";
            });

            return this;
        },

        toggle: function () {
            this.each(function (el) {
                el.style.display = el.style.display === "none" ? "" : "none";
            });

            return this;
        },

        show: function () {
            this.each(function (el) {
                el.style.display = "";
            });

            return this;
        },

        addClass: function (className) {
            this.each(function (el) {
                var existingClassName = el.className,
                    classNames;
                if (!existingClassName) {
                    el.className = className;
                } else {
                    classNames = existingClassName.split(" ");
                    if (classNames.indexOf(className) < 0) {
                        el.className = existingClassName + " " + className;
                    }
                }
            });

            return this;
        },

        removeClass: function (className) {
            this.each(function (el) {
                var existingClassName = el.className,
                    classNames, index;
                if (existingClassName === className) {
                    el.className = "";
                } else if (existingClassName) {
                    classNames = existingClassName.split(" ");
                    index = classNames.indexOf(className);
                    if (index > 0) {
                        classNames.splice(index, 1);
                        el.className = classNames.join(" ");
                    }
                }
            });

            return this;
        },

        attr: function (name) {
            if (this.items.length === 0) {
                return null;
            }

            return this.items[0].getAttribute(name);
        },

        on: function (eventName, handler) {
            this.each(function (el, idx) {
                var callback = function (e) {
                    e = e || window.event;
                    if (!e.which && e.keyCode) {
                        e.which = e.keyCode; // Normalize IE8 key events
                    }
                    handler.apply(el, [e]);
                };

                if (el.addEventListener) { // DOM Events
                    el.addEventListener(eventName, callback, false);
                } else if (el.attachEvent) { // IE8 events
                    el.attachEvent("on" + eventName, callback);
                } else {
                    el["on" + type] = callback;
                }
            });

            return this;
        },

        click: function (handler) {
            return this.on("click", handler);
        },

        keypress: function (handler) {
            return this.on("keypress", handler);
        }
    };

    function frame(el) {
        ns(".source .collapsible", el).toggle();
    }

    function expandCollapseButton(el) {
        var frameId = el.getAttribute("data-frameId");
        frame(document.getElementById(frameId));
        if (el.innerText === "+") {
            el.innerText = "-";
        }
        else {
            el.innerText = "+";
        }
    }

    function tab(el) {
        var unselected = ns("#header .selected").removeClass("selected").attr("id");
        var selected = ns("#" + el.id).addClass("selected").attr("id");

        ns("#" + unselected + "page").hide();
        ns("#" + selected + "page").show();
    }

    ns(".rawExceptionDetails").hide();
    ns(".collapsible").hide();
    ns(".page").hide();
    ns("#stackpage").show();

    ns(".expandCollapseButton")
        .click(function () {
            expandCollapseButton(this);
        })
        .keypress(function (e) {
            if (e.which === 13) {
                expandCollapseButton(this);
            }
        });

    ns("#header li")
        .click(function () {
            tab(this);
        })
        .keypress(function (e) {
            if (e.which === 13) {
                tab(this);
            }
        });

    ns(".showRawException")
        .click(function () {
            var exceptionDetailId = this.getAttribute("data-exceptionDetailId");
            ns("#" + exceptionDetailId).toggle();
        });
})(window);
            //-->
        </script>
    </body>
</html>
